Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364646 - Review Request: nodejs-svgo - Nodejs-based tool for optimizing SVG vector graphics files
Summary: Review Request: nodejs-svgo - Nodejs-based tool for optimizing SVG vector gra...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1364645 1493764 1493765
Blocks: nodejs-reviews Node-RED 1364647
TreeView+ depends on / blocked
 
Reported: 2016-08-06 08:11 UTC by Jared Smith
Modified: 2017-09-22 12:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-22 12:53:32 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2016-08-06 08:11:12 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-svgo/nodejs-svgo.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-svgo/nodejs-svgo-0.6.6-4.fc26.src.rpm
Description: Nodejs-based tool for optimizing SVG vector graphics files
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2017-09-20 13:58:18 UTC
Please update to version 0.7.2.


BuildRequires:	npm(whet.extend) is not needed anymore.


nodejs-csso is not yet packaged and is required. Please do a request for it.

Comment 2 Jared Smith 2017-09-21 00:35:51 UTC
npm(whet.extend) still seems to be needed.  I've submitted it and npm(csso) for review.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-svgo/nodejs-svgo.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-svgo/nodejs-svgo-0.7.2-1.fc28.src.rpm

Comment 3 Robert-André Mauchin 2017-09-21 09:28:57 UTC
 - Error: Cannot find module 'js-yaml'

⇒ Move js-yaml BR outside of enable_tests


Package otherwise accepted.

Comment 4 Jared Smith 2017-09-21 22:59:01 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1502'

Comment 5 Gwyn Ciesla 2017-09-21 23:13:47 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-svgo

Comment 6 Jared Smith 2017-09-22 12:53:32 UTC
In rawhide, closing bug


Note You need to log in before you can comment on or make changes to this bug.